CALIBRE-SMTP(1)

NAME
calibre-smtp - calibre-smtp

            calibre-smtp [opcións] [de a texto]

Enviar correo mediante o protocolo SMTP. calibre-smtp ten dous modos de funcionamento. No o modo de redacción que especificas desde ata e texto e estes úsanse para construír e enviar unha mensaxe de correo electrónico. No modo de filtro, calibre-smtp le un correo electrónico completo mensaxe de STDIN e envíaa.

texto é o corpo da mensaxe de correo electrónico. Se non se especifica texto, lerase unha mensaxe de correo electrónico completa de STDIN. from é o enderezo de correo electrónico do remitente e to é o enderezo de correo electrónico do destinatario. Cando se le un correo electrónico completo de STDIN, de e para só se usan na negociación SMTP, as cabeceiras das mensaxes non se modifican.

Sempre que lle pases argumentos a calibre-smtp que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

[OPCIÓNS]

    --fork, -f
        Dividir e entregar a mensaxe en segundo plano. Se usas esta opción, tamén deberías usar --outbox para xestionar os fallos de entrega.

    --help, -h
        mostrar esta mensaxe de axuda e saír

    --localhost, -l
        Nome do host local. Úsase cando se conecta ao servidor SMTP.

    --outbox, -o
        Ruta ao cartafol maildir para almacenar mensaxes de correo electrónico erradas.

    --timeout, -t
        Tempo de espera para a conexión

    --verbose, -v
        Ser máis detallado

    --version
        mostrar o número de versión do programa e saír

  COMPOSE MAIL

Opcións para redactar un correo electrónico. Ignorase se non se especifica o texto

    --attachment, -a
        Arquivo para anexar ao correo electrónico

    --subject, -s
        Asunto do correo electrónico

  SMTP RELAY

Opcións para usar un servidor de retransmisión SMTP para enviar correo. calibre tentará enviar o correo electrónico directamente a menos que se especifique --relay.

    --cafile
        Ruta a un ficheiro de certificados CA concatenados en formato PEM, usado para verificar o certificado do servidor cando se usa TLS. Por defecto, utilízanse os certificados CA do sistema.

    --dont-verify-server-certificate
        Non verifique o certificado do servidor ao conectarse mediante TLS. Este adoitaba ser o comportamento predeterminado nas versións de calibre anteriores á 3.27. Se estás a usar un relé cun certificado autoasinado ou non válido, podes usar esta opción para restaurar o comportamento anterior á versión 3.27

    --encryption-method, -e
        Método de cifrado para usar ao conectarse ao relé. As opcións son TLS, SSL e NONE. O predeterminado é TLS. AVISO: elixir NINGUNHA é moi inseguro

    --password, -p
        Contrasinal para relé

    --port
        Porto ao que conectarse no servidor de retransmisión. O predeterminado é usar 465 se o método de cifrado é SSL e 25 no caso contrario.

    --relay, -r
        Un servidor de retransmisión SMTP para usar para enviar correo.

    --username, -u
        Nome de usuario para relé

Author
Kovid Goyal

Copyright
Kovid Goyal